# Jig for inserting SFP crate into Kasli-SOC

## Purpose

This repository is created to store the CAD files used to produce a production jig for inserting the pressfit SFP crate connector into the Kasli-SOC board.

## Usage

The 3D printable inserts mesh files stored in the Mesh directory adapts a standard 5 inch bench vise into a production jig for press fitting the SFP crate connector.

The inserts should be printed out of a durable plastic, preferably ESD-safe (e.g. carbon fibre filled plastics), with as much infill and shell layers as possible for maximum durability.

The 3D printed inserts replaces the screw in removable jaw of the bench vise.

To use the jig, 
 - Align the kasli-soc board mounting holes with the board holder matching protrusions
 - Place the SFP crate connector to the connector holder matching indentation
 - Close up the vise slowly, ensuring connector alignment with the board at all times
 - Once alignment is verified, complete the press fit process by further closing the vise jaws
 - Remove the board assembly, check for proper mating between the connector pins and the board


